#!/bin/bash

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

JOB_NAME=${1}
BUILD_NUMBER=${2}
OUT_FILE=${3}

BUILD_WORKSPACE=${SCRIPT_DIR}/../jobs/${JOB_NAME}/workspace

export FINDBUGS_HOME=${SCRIPT_DIR}/../findbugs-3.0.1
. ./setcp.sh

rm cfb.fbp
cat >cfb.fbp <<EOF
<Project projectName="CFB">
  <Jar>${BUILD_WORKSPACE}/bin</Jar>
  <SrcDir>${BUILD_WORKSPACE}/src</SrcDir>
</Project>
EOF

cat cfb.fbp
./go.sh -c config.properties -d cfb -u cfb -p cfb -f cfb.fbp -n jenkins_${JOB_NAME}_${BUILD_NUMBER} -o ${OUT_FILE}
